Skip to main content

This browser is no longer supported.

Upgrade to Microsoft Edge to take advantage of the latest features, security updates, and technical support.

Download Microsoft Edge More info about Internet Explorer and Microsoft Edge
microsoft-foundry.rest.security.o-auth2-auth

Voice Agent Live WebSocket

Connect to a GPT Live voice agent

GET /agents/{agent_name}/endpoint/protocols/voice/live/sessions

Opens a Live session. Foundry sends session.start; clients wait for session.started. Do not negotiate the realtime WebSocket subprotocol on this route. session.update changes backend settings, not the Foundry delegation target. Foundry translates validated [thinking]/[commentary] sections into session.thinking.append/ session.commentary.append; permitted backend events use response.event. Credentials and private reasoning are not forwarded. response.item.create and response.create are Responses-delegation-only commands.

Header parameters

Foundry-Features enum

A feature flag opt-in required when using preview operations or modifying persisted preview resources.

VoiceAgents=V1Preview

Path parameters

agent_name string required

Live voice agent name in this project.

Query parameters

foundry_features enum

Query alternative to the Foundry-Features opt-in header.

VoiceAgents=V1Preview
agent_version_override string

Selects a specific version of the voice agent for this session.

structured_inputs string

URL-encoded JSON values for instruction and greeting templates.

store boolean

Overrides Foundry conversation and audio persistence for this session.

api-version string required

The API version to use for this operation.

Responses

A successful Live WebSocket upgrade.

Client error

Body

Content-Type: application/json
error OpenAI.Error required
code string | null required
message string required
param string | null
type string
misalignment OpenAI.MisalignmentErrorDetailsResource
review_target string | null
error_type string | enum
Any of the following:
string
enum
potentially_unintended_data_transferpotentially_unintended_data_accesspotentially_unintended_destructive_activityother
detailed_explanation string

The public explanation for this block.

steer OpenAI._MisalignmentSteer
message string required

The public continuation instruction.

details OpenAI.Error[]

Additional errors that contributed to this failure.

additionalInfo object

Additional structured information about the failure.

debugInfo object

Diagnostic information supplied by the service for troubleshooting.

Server error

Body

Content-Type: application/json
error OpenAI.Error required
code string | null required
message string required
param string | null
type string
misalignment OpenAI.MisalignmentErrorDetailsResource
review_target string | null
error_type string | enum
Any of the following:
string
enum
potentially_unintended_data_transferpotentially_unintended_data_accesspotentially_unintended_destructive_activityother
detailed_explanation string

The public explanation for this block.

steer OpenAI._MisalignmentSteer
message string required

The public continuation instruction.

details OpenAI.Error[]

Additional errors that contributed to this failure.

additionalInfo object

Additional structured information about the failure.

debugInfo object

Diagnostic information supplied by the service for troubleshooting.

Request

GET /agents/{agent_name}/endpoint/protocols/voice/live/sessions HTTP/1.1

Response

Status: 101
Status: 4XX
Content-Type: application/json
Status: 5XX
Content-Type: application/json
en-us
Your Privacy Choices
  • AI Disclaimer
  • Previous Versions
  • Blog
  • Contribute
  • Privacy
  • Consumer Health Privacy
  • Terms of Use
  • Trademarks
  • © Microsoft 2026